List agents
curl --request GET \
--url https://sandbox.voice.miraiminds.co/v2/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.voice.miraiminds.co/v2/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const url = 'https://sandbox.voice.miraiminds.co/v2/agents';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"revision": 1,
"draft": false,
"archived": false,
"analysis": {
"enabled": false
},
"id": "agt_01K2M4P7QRSTVWXYZ0A1B2C3",
"object": "agent",
"name": "सर्विस रिमाइंडर",
"system_prompt": "आप आशु हैं, मिराई मोटर्स के सर्विस एडवाइज़र. {{name}} जी की {{vehicle}} की सर्विस {{due_date}} को ड्यू है. हिंदी में बात करें, छोटे वाक्य बोलें, और ग्राहक से सर्विस की तारीख कन्फर्म करें.",
"first_message": "नमस्ते, मैं आशु बोल रहा हूं मिराई मोटर्स से. एक मिनट है आपके पास?",
"voice": {
"voice_id": "ashu",
"language": "hi"
},
"language": "hi",
"max_duration_secs": 300,
"end_call": {
"enabled": true,
"message": "धन्यवाद, आपका दिन शुभ हो.",
"confirm": true
},
"voicemail": {
"action": "hangup"
},
"background_sound": {
"sound": "off"
},
"behavior": {
"interruptions": "normal",
"adaptive_interruptions": true
},
"secondary_languages": [
"en"
],
"tools": [],
"created_at": "2026-08-11T09:14:02Z",
"updated_at": "2026-08-11T09:14:02Z"
}
],
"has_more": false,
"next_cursor": null
}{
"error": {
"code": "invalid_request",
"message": "limit must be between 1 and 100"
}
}Agents
List agents
Your agents, newest first, each one the full agent object. limit is 1–100 (default 20). When has_more is true, send next_cursor back as cursor for the next page.
archived=true lists only archived agents and archived=false only active ones. Leave it out to get both. Deleted agents never appear.
GET
/
v2
/
agents
List agents
curl --request GET \
--url https://sandbox.voice.miraiminds.co/v2/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.voice.miraiminds.co/v2/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const url = 'https://sandbox.voice.miraiminds.co/v2/agents';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"revision": 1,
"draft": false,
"archived": false,
"analysis": {
"enabled": false
},
"id": "agt_01K2M4P7QRSTVWXYZ0A1B2C3",
"object": "agent",
"name": "सर्विस रिमाइंडर",
"system_prompt": "आप आशु हैं, मिराई मोटर्स के सर्विस एडवाइज़र. {{name}} जी की {{vehicle}} की सर्विस {{due_date}} को ड्यू है. हिंदी में बात करें, छोटे वाक्य बोलें, और ग्राहक से सर्विस की तारीख कन्फर्म करें.",
"first_message": "नमस्ते, मैं आशु बोल रहा हूं मिराई मोटर्स से. एक मिनट है आपके पास?",
"voice": {
"voice_id": "ashu",
"language": "hi"
},
"language": "hi",
"max_duration_secs": 300,
"end_call": {
"enabled": true,
"message": "धन्यवाद, आपका दिन शुभ हो.",
"confirm": true
},
"voicemail": {
"action": "hangup"
},
"background_sound": {
"sound": "off"
},
"behavior": {
"interruptions": "normal",
"adaptive_interruptions": true
},
"secondary_languages": [
"en"
],
"tools": [],
"created_at": "2026-08-11T09:14:02Z",
"updated_at": "2026-08-11T09:14:02Z"
}
],
"has_more": false,
"next_cursor": null
}{
"error": {
"code": "invalid_request",
"message": "limit must be between 1 and 100"
}
}⌘I